<?xml version="1.0" encoding="UTF-8"?>

<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="digital.laboratory.platform.reagent.mapper.StandardMaterialApprovalFormMapper">

  <resultMap id="standardMaterialApprovalFormMap" type="digital.laboratory.platform.reagent.entity.StandardMaterialApprovalForm">
    <id property="standardMaterialApprovalFormId" column="standard_material_approval_form_id"/>
    <result property="agentId" column="agent_id"/>
    <result property="applicantId" column="applicant_id"/>
    <result property="applicationTime" column="application_time"/>
    <result property="approvalOpinion" column="approval_opinion"/>
    <result property="approvalResult" column="approval_result"/>
    <result property="approvalTime" column="approval_time"/>
    <result property="createTime" column="create_time"/>
    <result property="updateTime" column="update_time"/>
    <result property="createBy" column="create_by"/>
    <result property="updateBy" column="update_by"/>
    <result property="auditOpinionOfManager" column="audit_opinion_of_manager"/>
    <result property="auditOpinionOfTechnical" column="audit_opinion_of_technical"/>
    <result property="auditResultOfManager" column="audit_result_of_manager"/>
    <result property="auditResultOfTechnical" column="audit_result_of_technical"/>
    <result property="auditTimeOfManager" column="audit_time_of_manager"/>
    <result property="auditTimeOfTechnical" column="audit_time_of_technical"/>
    <result property="batchNumber" column="batch_number"/>
    <result property="commitStatus" column="commit_status"/>
    <result property="directorId" column="director_id"/>
    <result property="fixedResult" column="fixed_result"/>
    <result property="manufacturerId" column="manufacturer_id"/>
    <result property="number" column="number"/>
    <result property="processingTime" column="processing_time"/>
    <result property="purchaseTime" column="purchase_time"/>
    <result property="quantity" column="quantity"/>
    <result property="reasonForApplication" column="reason_for_application"/>
    <result property="referenceMaterialId" column="reference_material_id"/>
    <result property="managerId" column="manager_id"/>
    <result property="remarks" column="remarks"/>
    <result property="specification" column="specification"/>
    <result property="technicalDirectorId" column="technical_director_id"/>

  </resultMap>
</mapper>
